# LoadSettings

### Description

Loads the settings XML file generated by the Protect Your Application wizard and initializes the QlmLicense object with these settings.

```csharp
void LoadSettings (string settingsFile)
```

### Arguments

| Name         | Data Type | Description                                               |
| ------------ | :-------: | --------------------------------------------------------- |
| settingsFile |   string  | XML file generated by the Protect Your Application wizard |

### Return

| Data Type | Description              |
| :-------: | ------------------------ |
|    int    | exit code of the process |

### Remarks

In case of an error loading the file, the function will throw an exception.

The settings file format was modified in QLM v9+. Settings files generated by QLM v8 must be first converted to the new format by executing the Protect Your Application wizard in QLM v10.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/loadsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
